package com.tianyan.auc.exception;

import cn.dev33.satoken.filter.SaFilterErrorStrategy;
import com.tianyan.auc.common.AjaxJson;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;

/**
 * 网关统一异常处理
 *
 * @author sun.zy
 */
@Order(-1)
@Configuration
public class SaTokenFilterExceptionHandler implements SaFilterErrorStrategy
{

    @Override
    public Object run(Throwable e) {
        System.out.println("---------- 进入Sa-Token异常处理 -----------");
        return AjaxJson.getError(e.getMessage());
    }
}