package com.tianyan.auc.config;

import cn.dev33.satoken.filter.SaFilterAuthStrategy;
import cn.dev33.satoken.router.SaRouter;
import cn.dev33.satoken.stp.StpUtil;
import org.springframework.stereotype.Component;

/**
 * @author PHY
 * @date 2022/5/12$-10:47
 */
@Component
public class UserAuthFilter implements SaFilterAuthStrategy {
    @Override
    public void run(Object o) {
        System.out.println("---------- 进入Sa-Token全局认证 -----------");

        // 登录认证 -- 拦截所有路由，并排除/user/doLogin 用于开放登录
        SaRouter.match("/**", "/user/doLogin", () -> StpUtil.checkLogin());

        // 更多拦截处理方式，请参考“路由拦截式鉴权”章节
    }
}
